Runtime

## org.eclipse.gmf.runtime.notation
Interface Guide

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GuideImpl

    public interface Guide

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Guide'.

A guide is a constraint on the x-y layout of nodes. A guide is defined by a position along one the of the diagram rulers. Nodes attached to a guide can be attached by a varierty of alignments

The following features are supported:

- `Position`
- `Node Map`

See Also:
  `NotationPackage.getGuide()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EMap` `getNodeMap()` Returns the value of the 'Node Map' map.
`int` `getPosition()` Returns the value of the 'Position' attribute.
`void` `setPosition(int value)` Sets the value of the '`Position`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPosition

    int getPosition()

  Returns the value of the 'Position' attribute. The default value is `"0"`.

  The position is the distance along the diagram ruler of the guide

  Returns:
    the value of the 'Position' attribute.
  See Also:
    `setPosition(int)`, `NotationPackage.getGuide_Position()`
  ** Generated **
  Model:
    default="0"

### setPosition

    void setPosition(int value)

  Sets the value of the '`Position`' attribute.

  The position is the distance along the diagram ruler of the guide

  Parameters:
    `value` - the new value of the 'Position' attribute.
  See Also:
    `getPosition()`
  ** Generated **

### getNodeMap

    org.eclipse.emf.common.util.EMap getNodeMap()

  Returns the value of the 'Node Map' map. The key is of type `Node`, and the value is of type `Alignment`,

  The map is an unordered map from nodes to their alignment in respect to the guide.

  Returns:
    the value of the 'Node Map' map.
  See Also:
    `NotationPackage.getGuide_NodeMap()`
  ** Generated **
  Model:
    mapType="org.eclipse.gmf.runtime.notation.NodeEntry" keyType="org.eclipse.gmf.runtime.notation.Node" valueType="org.eclipse.gmf.runtime.notation.Alignment"

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.